<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:28 CEST 2014 -->
<title>FramedataImpl1</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FramedataImpl1";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FramedataImpl1.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/FramedataImpl1.html" target="_top">Frames</a></li>
<li><a href="FramedataImpl1.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.framing</div>
<h2 title="Class FramedataImpl1" class="title">Class FramedataImpl1</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.framing.FramedataImpl1</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a>, <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing">CloseFrameBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">FramedataImpl1</span>
extends java.lang.Object
implements <a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.java_websocket.framing.Framedata">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></h3>
<code><a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#emptyarray">emptyarray</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#fin">fin</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#optcode">optcode</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#transferemasked">transferemasked</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.nio.ByteBuffer</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#unmaskedpayload">unmaskedpayload</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#FramedataImpl1()">FramedataImpl1</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#FramedataImpl1(org.java_websocket.framing.Framedata.Opcode)">FramedataImpl1</a></strong>(<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;op)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#FramedataImpl1(org.java_websocket.framing.Framedata)">FramedataImpl1</a></strong>(<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</code>
<div class="block">Helper constructor which helps to create "echo" frames.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#append(org.java_websocket.framing.Framedata)">append</a></strong>(<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;nextframe)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#getOpcode()">getOpcode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.nio.ByteBuffer</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#getPayloadData()">getPayloadData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#getTransfereMasked()">getTransfereMasked</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#isFin()">isFin</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#setFin(boolean)">setFin</a></strong>(boolean&nbsp;fin)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#setOptcode(org.java_websocket.framing.Framedata.Opcode)">setOptcode</a></strong>(<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;optcode)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#setPayload(java.nio.ByteBuffer)">setPayload</a></strong>(java.nio.ByteBuffer&nbsp;payload)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#setTransferemasked(boolean)">setTransferemasked</a></strong>(boolean&nbsp;transferemasked)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FramedataImpl1.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="emptyarray">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyarray</h4>
<pre>protected static&nbsp;byte[] emptyarray</pre>
</li>
</ul>
<a name="fin">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fin</h4>
<pre>protected&nbsp;boolean fin</pre>
</li>
</ul>
<a name="optcode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>optcode</h4>
<pre>protected&nbsp;<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a> optcode</pre>
</li>
</ul>
<a name="unmaskedpayload">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unmaskedpayload</h4>
<pre>private&nbsp;java.nio.ByteBuffer unmaskedpayload</pre>
</li>
</ul>
<a name="transferemasked">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>transferemasked</h4>
<pre>protected&nbsp;boolean transferemasked</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FramedataImpl1()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FramedataImpl1</h4>
<pre>public&nbsp;FramedataImpl1()</pre>
</li>
</ul>
<a name="FramedataImpl1(org.java_websocket.framing.Framedata.Opcode)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FramedataImpl1</h4>
<pre>public&nbsp;FramedataImpl1(<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;op)</pre>
</li>
</ul>
<a name="FramedataImpl1(org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FramedataImpl1</h4>
<pre>public&nbsp;FramedataImpl1(<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;f)</pre>
<div class="block">Helper constructor which helps to create "echo" frames.
 The new object will use the same underlying payload data.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isFin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFin</h4>
<pre>public&nbsp;boolean&nbsp;isFin()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/Framedata.html#isFin()">isFin</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></dd>
</dl>
</li>
</ul>
<a name="getOpcode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOpcode</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;getOpcode()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/Framedata.html#getOpcode()">getOpcode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></dd>
</dl>
</li>
</ul>
<a name="getTransfereMasked()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransfereMasked</h4>
<pre>public&nbsp;boolean&nbsp;getTransfereMasked()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/Framedata.html#getTransfereMasked()">getTransfereMasked</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></dd>
</dl>
</li>
</ul>
<a name="getPayloadData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPayloadData</h4>
<pre>public&nbsp;java.nio.ByteBuffer&nbsp;getPayloadData()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/Framedata.html#getPayloadData()">getPayloadData</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></dd>
</dl>
</li>
</ul>
<a name="setFin(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFin</h4>
<pre>public&nbsp;void&nbsp;setFin(boolean&nbsp;fin)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FrameBuilder.html#setFin(boolean)">setFin</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a></code></dd>
</dl>
</li>
</ul>
<a name="setOptcode(org.java_websocket.framing.Framedata.Opcode)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOptcode</h4>
<pre>public&nbsp;void&nbsp;setOptcode(<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;optcode)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FrameBuilder.html#setOptcode(org.java_websocket.framing.Framedata.Opcode)">setOptcode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a></code></dd>
</dl>
</li>
</ul>
<a name="setPayload(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPayload</h4>
<pre>public&nbsp;void&nbsp;setPayload(java.nio.ByteBuffer&nbsp;payload)
                throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FrameBuilder.html#setPayload(java.nio.ByteBuffer)">setPayload</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="setTransferemasked(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransferemasked</h4>
<pre>public&nbsp;void&nbsp;setTransferemasked(boolean&nbsp;transferemasked)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FrameBuilder.html#setTransferemasked(boolean)">setTransferemasked</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a></code></dd>
</dl>
</li>
</ul>
<a name="append(org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>append</h4>
<pre>public&nbsp;void&nbsp;append(<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;nextframe)
            throws <a href="../../../org/java_websocket/exceptions/InvalidFrameException.html" title="class in org.java_websocket.exceptions">InvalidFrameException</a></pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/Framedata.html#append(org.java_websocket.framing.Framedata)">append</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidFrameException.html" title="class in org.java_websocket.exceptions">InvalidFrameException</a></code></dd></dl>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FramedataImpl1.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/FramedataImpl1.html" target="_top">Frames</a></li>
<li><a href="FramedataImpl1.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
